Bug 1262807 - (udan11/sql-parser) Review Request: php-udan11-sql-parser - A validating SQL lexer and parser with a focus on MySQL dialect
Review Request: php-udan11-sql-parser - A validating SQL lexer and parser wit...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 08:06 EDT by Remi Collet
Modified: 2015-10-12 15:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 15:27:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo-full.log (19.21 KB, text/plain)
2015-09-20 12:27 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (11.36 KB, text/plain)
2015-09-20 12:27 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.68 KB, text/plain)
2015-09-20 12:28 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-09-14 08:06:13 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/fcb77b1b636d2267d260e0ed97d2810f5ca50974/php/php-dmitry-php-sql-parser/php-dmitry-php-sql-parser.spec
SRPM URL: 
Description: 
A validating SQL lexer and parser with a focus on MySQL dialect.

This library was originally developed for phpMyAdmin during
the Google Summer of Code 2015.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/SqlParser/autoload.php';


Fedora Account System Username: remi

--
As usually, I will clean the old EL-5 stuff after import.
Comment 1 Remi Collet 2015-09-14 09:18:24 EDT
Probably have to wait for upstream clarification
https://lists.phpmyadmin.net/pipermail/developers/2015-September/019116.html
Comment 3 Remi Collet 2015-09-14 11:14:00 EDT
FYI
* rev 1b2988f is the one bundled in phpMyAdmin 4.5.0RC1.
* https://github.com/phpmyadmin/phpmyadmin/pull/11481 is merged
* change in phpMyAdmin specfile
https://github.com/remicollet/remirepo/commit/225596e25c4739d015478cd2b2d6dad537b3a8d8
Comment 4 Shawn Iwinski 2015-09-20 12:27 EDT
Created attachment 1075322 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 5 Shawn Iwinski 2015-09-20 12:27 EDT
Created attachment 1075323 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 6 Shawn Iwinski 2015-09-20 12:28 EDT
Created attachment 1075324 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1262807
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Shawn Iwinski 2015-09-20 12:31:36 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.  No blocker.

[!]: Latest version is packaged.

     Newer snapshot available

No blocker.



[!]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.

     1) Fix obsoletes issue: W: self-obsoletion php-dmitry-php-sql-parser < 0-0.2 obsoletes php-dmitry-php-sql-parser <= 0-0.2.20150820git1b2988f.fc24

     2) Fix provides: Replace
         Provides:       php-dmitry-php-sql-parser <= %{version}-%{release}
     with
         Provides:       php-dmitry-php-sql-parser = %{version}-%{release}

[!]: Requires correct, justified where necessary.

     Per phpcompatinfo, replace
         Requires:       php-spl
     with
         Requires:       php-pcre
Comment 9 Shawn Iwinski 2015-09-20 16:47:05 EDT
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.

[x]: Requires correct, justified where necessary.



No blockers.

===== APPROVED =====
Comment 10 Remi Collet 2015-09-21 00:46:16 EDT
Thanks!

New Package SCM Request
=======================
Package Name: php-udan11-sql-parser
Short Description: A validating SQL lexer and parser with a focus on MySQL dialect
Upstream URL: https://github.com/udan11/sql-parser
Owners: remi
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 11 Gwyn Ciesla 2015-09-21 14:01:42 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2015-09-22 01:34:12 EDT
php-udan11-sql-parser-0-0.3.20150820git1b2988f.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16381
Comment 13 Fedora Update System 2015-09-22 01:34:19 EDT
php-udan11-sql-parser-0-0.3.20150820git1b2988f.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8186
Comment 14 Fedora Update System 2015-09-22 01:34:23 EDT
php-udan11-sql-parser-0-0.3.20150820git1b2988f.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16383
Comment 15 Fedora Update System 2015-09-22 23:55:48 EDT
php-udan11-sql-parser-0-0.3.20150820git1b2988f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16382
Comment 16 Fedora Update System 2015-09-23 01:23:08 EDT
php-udan11-sql-parser-0-0.3.20150820git1b2988f.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16383
Comment 17 Fedora Update System 2015-09-23 04:50:57 EDT
php-udan11-sql-parser-0-0.3.20150820git1b2988f.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8186
Comment 18 Fedora Update System 2015-09-23 04:52:36 EDT
php-udan11-sql-parser-0-0.3.20150820git1b2988f.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8185
Comment 19 Fedora Update System 2015-09-23 09:17:22 EDT
php-udan11-sql-parser-1.0.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16383
Comment 20 Fedora Update System 2015-09-23 09:18:39 EDT
php-udan11-sql-parser-1.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16382
Comment 21 Fedora Update System 2015-09-23 09:19:52 EDT
php-udan11-sql-parser-1.0.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8186
Comment 22 Fedora Update System 2015-09-23 09:20:40 EDT
php-udan11-sql-parser-1.0.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8185
Comment 23 Fedora Update System 2015-09-23 17:23:28 EDT
php-udan11-sql-parser-0-0.3.20150820git1b2988f.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16381
Comment 24 Fedora Update System 2015-09-23 23:32:30 EDT
php-udan11-sql-parser-1.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16382
Comment 25 Fedora Update System 2015-09-24 01:43:09 EDT
php-udan11-sql-parser-1.0.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16381
Comment 26 Fedora Update System 2015-09-24 05:53:37 EDT
php-udan11-sql-parser-1.0.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16383
Comment 27 Fedora Update System 2015-09-24 20:20:02 EDT
php-udan11-sql-parser-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8186
Comment 28 Fedora Update System 2015-09-24 20:21:10 EDT
php-udan11-sql-parser-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8185
Comment 29 Fedora Update System 2015-09-25 09:36:25 EDT
php-udan11-sql-parser-1.0.0-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16383
Comment 30 Fedora Update System 2015-09-25 09:36:38 EDT
php-udan11-sql-parser-1.0.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16382
Comment 31 Fedora Update System 2015-09-25 09:37:13 EDT
php-udan11-sql-parser-1.0.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8185
Comment 32 Fedora Update System 2015-09-25 09:37:52 EDT
php-udan11-sql-parser-1.0.0-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8186
Comment 33 Fedora Update System 2015-09-26 20:39:15 EDT
php-udan11-sql-parser-1.0.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16381
Comment 34 Fedora Update System 2015-09-26 20:56:10 EDT
php-udan11-sql-parser-1.0.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16382
Comment 35 Fedora Update System 2015-09-26 22:22:05 EDT
php-udan11-sql-parser-1.0.0-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16383
Comment 36 Fedora Update System 2015-09-27 03:27:00 EDT
php-udan11-sql-parser-1.0.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2015-09-27 09:47:19 EDT
php-udan11-sql-parser-1.0.0-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 38 Fedora Update System 2015-09-27 11:49:46 EDT
php-udan11-sql-parser-1.0.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 39 Fedora Update System 2015-09-27 12:19:47 EDT
php-udan11-sql-parser-1.0.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8186
Comment 40 Fedora Update System 2015-09-27 12:20:18 EDT
php-udan11-sql-parser-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-udan11-sql-parser'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8185
Comment 41 Fedora Update System 2015-10-12 15:27:42 EDT
php-udan11-sql-parser-1.0.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 42 Fedora Update System 2015-10-12 15:59:59 EDT
php-udan11-sql-parser-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.